Class UmlBaseActivityFinalActivityNode

Declaration :

- C++ : class UmlBaseActivityFinalActivityNode : public UmlActivityControlNode
- Java : abstract class UmlBaseActivityFinalActivityNode extends UmlActivityControlNode

Directly inherited by : UmlActivityFinalActivityNode

Artifact : UmlBaseActivityControlNodeClasses

Operation create

Declaration :

- Uml : static, + create(inout parent : UmlItem, inout s : str) : UmlActivityFinalActivityNode, exceptions : RuntimeException
- C++ : public: static UmlActivityFinalActivityNode * create(UmlItem * parent, const char * s)
- Java : public static UmlActivityFinalActivityNode create(UmlItem parent, String s) throws RuntimeException

returns a new activity final activity control node named 's' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Operation kind

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

returns the kind of the item

Operation UmlBaseActivityFinalActivityNode

Declaration :

- Uml : # UmlBaseActivityFinalActivityNode(in id : item_id, in s : string) :
- C++ : protected: UmlBaseActivityFinalActivityNode(void * id, const QCString & s) : UmlActivityControlNode(id, s)
- Java : protected UmlBaseActivityFinalActivityNode(long id, String s)

the constructor, do not call it yourself !!!!!!!!!!

All public operations : apply , children , childrenVisible , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload